OgreTerrainMaterialGenerator.h File Reference
`#include "OgreTerrainPrerequisites.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreMaterial.h"`
`#include "OgreTexture.h"`

Go to the source code of this file.

## Classes

struct | Ogre::TerrainLayerSamplerElement
| Information about one element of a sampler / texture within a layer. More...
struct | Ogre::TerrainLayerSampler
| Description of a sampler that will be used with each layer. More...
struct | Ogre::TerrainLayerDeclaration
| The definition of the information each layer will contain in this terrain. More...
class | Ogre::TerrainMaterialGenerator
| Class that provides functionality to generate materials for use with a terrain. More...
class | Ogre::TerrainMaterialGenerator::Profile
| Inner class which should also be subclassed to provide profile-specific material generation. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector < TerrainLayerSamplerElement > ::type | Ogre::TerrainLayerSamplerElementList
typedef vector < TerrainLayerSampler >::type | Ogre::TerrainLayerSamplerList
typedef SharedPtr < TerrainMaterialGenerator > | Ogre::TerrainMaterialGeneratorPtr

## Enumerations

enum | Ogre::TerrainLayerSamplerSemantic { Ogre::TLSS_ALBEDO = 0, Ogre::TLSS_NORMAL = 1, Ogre::TLSS_HEIGHT = 2, Ogre::TLSS_SPECULAR = 3 }
| Enumeration of types of data that can be read from textures that are specific to a given layer. More...

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:25